Package org.codehaus.groovy.ast.stmt

# Class SynchronizedStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.SynchronizedStatement

All Implemented Interfaces:
  `NodeMetaDataHandler`

public class SynchronizedStatement extends Statement
Represents a synchronized statement

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchronizedStatement(Expression expression, Statement code)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Statement`
  `getCode()`
  `Expression`
  `getExpression()`
  `void`
  `setCode(Statement statement)`
  `void`
  `setExpression(Expression expression)`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

  `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### SynchronizedStatement

    public SynchronizedStatement(Expression expression, Statement code)

- ## Method Details

  - ### getCode

    public Statement getCode()

  - ### setCode

    public void setCode(Statement statement)

  - ### getExpression

    public Expression getExpression()

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### setExpression

    public void setExpression(Expression expression)